<!DOCTYPE html>
<html>
    <head>
        <title> cutest Test Results </title>
        <style type='text/css'>
            body { font-family: sans-serif; font-size: 12pt; }
            .warning { padding: 20px; background: #ffed24; font-size: 12pt; text-align: center; }
            .result-success { background: #24ff24; font-size: 20px; text-align: center; }
            .result-failure { background: #ff7095; font-size: 20px; text-align: center; }
            h2 { font-size: 14pt; font-weight: bold; }
            h3 { font-size: 12pt; font-weight: bold; }
            table { background: #ffffff; width: 100%; font-size: 10pt; }
            table tr.pass { background: #ccffcc; }
            table tr.fail { background: #ffcccc; }
            table tr             { font-size: 12pt; border: solid 1px #000066; }
            table tr td          { padding: 10px; border: solid 1px #000033; }
            table tr td ul li,             table tr td ol li    { margin: 10px 0; }
            table tr td ol       { list-style-type: upper-latin; }
            table tr .test-set   { font-size: 10pt; }
            table tr .test       { font-size: 10pt; }
            table tr .prereq     {  }
            table tr .result     { text-align: center; font-size: 10pt; font-weight: bold; }
            table tr .expected   { font-family: monospace; font-size: 10pt; }
            table tr .actual     { font-family: monospace; font-size: 10pt; }
            table tr .comments   { font-size: 10pt; }
            table .prereqs { font-size: 8pt; }
            table .prereqs ul li { margin: 0; }
            table .prereqs ul { margin: 0; }
            table tr.summary { background: #000000; color: #ffffff; }
            table tr.descriptions { font-size: 8pt; text-align: center; }
            table .spacer { height: 20px; }
        </style>
    </head>
    <body>
    <div class='warning'>Warning: Make sure to check if all tests finish (there will be a message at the end of the file) - <br>
    It is possible for your program to crash early, but still show that tests have passed because it hasn't gone through everything.</div>
<div id='test-list'><h2>Test list:</h2>

<a href='#Test_NodeConstructor'>Test_NodeConstructor</a> | <a href='#Test_Constructor'>Test_Constructor</a> | <a href='#Test_GetFront'>Test_GetFront</a> | <a href='#Test_GetBack'>Test_GetBack</a> | <a href='#Test_GetAt'>Test_GetAt</a> | <a href='#Test_SubscriptOperator'>Test_SubscriptOperator</a> | <a href='#Test_IsEmpty'>Test_IsEmpty</a> | <a href='#Test_Size'>Test_Size</a> | <a href='#Test_PushFront'>Test_PushFront</a> | <a href='#Test_PushBack'>Test_PushBack</a> | <a href='#Test_PushAt'>Test_PushAt</a> | <a href='#Test_PopFront'>Test_PopFront</a> | <a href='#Test_PopBack'>Test_PopBack</a> | <a href='#Test_PopAt'>Test_PopAt</a> | <a href='#Test_Clear'>Test_Clear</a></div>

<h2>Results:</h2>
<a name='Test_NodeConstructor' href='#Test_NodeConstructor'><h3>Test_NodeConstructor</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='pass'>
<td class='test-set'>      Test_Node Constructor <br></td>
<td class='test'>          1. Check initial member variable values       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>m_ptrNext is nullptr</li><li>m_ptrPrev is nullptr</li> </ol> </td>
<td class='actual'>   <ol> <li>m_ptrNext = 00000000</li><li>m_ptrPrev = 0000000000000000</li> </ol> </td>
<td class='comments'> <ul> <li>When a new Node is created, its m_ptrNext and m_ptrPrev pointers should point to nullptr.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Node Constructor:</strong>
1 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_Constructor' href='#Test_Constructor'><h3>Test_Constructor</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='pass'>
<td class='test-set'>      Test_LinkedList Constructor <br><div class='prereqs'>Prerequisite functions: <ul><li>IsEmpty</li></ul></div>      
</td>
<td class='test'>          0. Check if function/prereqs LinkedList Constructor are implemented       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>LinkedList Constructor = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>LinkedList Constructor = Implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='pass'>
<td class='test-set'>      Test_LinkedList Constructor <br><div class='prereqs'>Prerequisite functions: <ul><li>IsEmpty</li></ul></div>      
</td>
<td class='test'>          1. Check initial member variable values       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>m_ptrFirst is nullptr</li><li>m_ptrLast is nullptr</li><li>m_itemCount = 0</li> </ol> </td>
<td class='actual'>   <ol> <li>m_ptrFirst = 00000000</li><li>m_ptrLast = 0000000000000000</li><li>m_itemCount = 0</li> </ol> </td>
<td class='comments'> <ul> <li>When a new LinkedList is created, its pointers should be nullptr and m_itemCount should be 0.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_LinkedList Constructor:</strong>
2 out of 2 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_GetFront' href='#Test_GetFront'><h3>Test_GetFront</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetFront <br><div class='prereqs'>Prerequisite functions: <ul><li>GetFront</li></ul></div>      
</td>
<td class='test'>          0a. Check if function GetFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>GetFront is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_GetBack' href='#Test_GetBack'><h3>Test_GetBack</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetBack <br><div class='prereqs'>Prerequisite functions: <ul><li>GetBack</li></ul></div>      
</td>
<td class='test'>          0a. Check if function GetBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>GetBack is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_GetAt' href='#Test_GetAt'><h3>Test_GetAt</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_GetAt <br><div class='prereqs'>Prerequisite functions: <ul><li>GetAt</li></ul></div>      
</td>
<td class='test'>          0a. Check if function GetAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>GetAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>GetAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>GetAt is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_GetAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_SubscriptOperator' href='#Test_SubscriptOperator'><h3>Test_SubscriptOperator</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_SubscriptOperator <br></td>
<td class='test'>          0a. Check if function SubscriptOperator is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>SubscriptOperator = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>SubscriptOperator = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>GetAt is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_SubscriptOperator:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_IsEmpty' href='#Test_IsEmpty'><h3>Test_IsEmpty</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='pass'>
<td class='test-set'>      Test_IsEmpty <br></td>
<td class='test'>          0a. Check if function IsEmpty is implemented       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>IsEmpty = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>IsEmpty = Implemented</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='pass'>
<td class='test-set'>      Test_IsEmpty <br></td>
<td class='test'>          1. An empty list should return true       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>IsEmpty() = 1</li> </ol> </td>
<td class='actual'>   <ol> <li>IsEmpty() = 1</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='pass'>
<td class='test-set'>      Test_IsEmpty <br></td>
<td class='test'>          1. An non-empty list should return false       </td>
<td class='result'>        passed       </td>
<td class='expected'> <ol> <li>IsEmpty() = 0</li> </ol> </td>
<td class='actual'>   <ol> <li>IsEmpty() = 0</li> </ol> </td>
<td class='comments'> <ul>  </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_IsEmpty:</strong>
3 out of 3 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_Size' href='#Test_Size'><h3>Test_Size</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_Size <br></td>
<td class='test'>          0a. Check if function Size is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>Size = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>Size = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>Size is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Size:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PushFront' href='#Test_PushFront'><h3>Test_PushFront</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PushFront <br><div class='prereqs'>Prerequisite functions: <ul><li>PushFront</li></ul></div>      
</td>
<td class='test'>          0a. Check if function PushFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PushFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PushFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PushFront is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PushFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PushBack' href='#Test_PushBack'><h3>Test_PushBack</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PushBack <br><div class='prereqs'>Prerequisite functions: <ul><li>PushBack</li></ul></div>      
</td>
<td class='test'>          0. Check if function PushBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PushBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PushBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PushBack is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PushBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PushAt' href='#Test_PushAt'><h3>Test_PushAt</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PushAt <br><div class='prereqs'>Prerequisite functions: <ul><li>PushAt</li></ul></div>      
</td>
<td class='test'>          0. Check if function PushAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PushAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PushAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PushBack is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PushAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PopFront' href='#Test_PopFront'><h3>Test_PopFront</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PopFront <br><div class='prereqs'>Prerequisite functions: <ul><li>PopFront</li></ul></div>      
</td>
<td class='test'>          0a. Check if function PopFront is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PopFront = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PopFront = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PopFront is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PopFront:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PopBack' href='#Test_PopBack'><h3>Test_PopBack</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PopBack <br><div class='prereqs'>Prerequisite functions: <ul><li>PopBack</li></ul></div>      
</td>
<td class='test'>          0a. Check if function PopBack is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PopBack = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PopBack = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PopBack is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PopBack:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_PopAt' href='#Test_PopAt'><h3>Test_PopAt</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_PopAt <br><div class='prereqs'>Prerequisite functions: <ul><li>PopAt</li><li>Size</li></ul></div>      
</td>
<td class='test'>          0a. Check if function PopAt is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>PopAt = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>PopAt = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>PopAt is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_PopAt:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
<a name='Test_Clear' href='#Test_Clear'><h3>Test_Clear</h3></a>
    <table>
        <tr>
            <th class='col_set'> Test set </th>
            <th class='col_test'> Test </th>
            <th class='col_result'> Pass/fail </th>
            <th class='col_expected'> Expected <br> output </th>
            <th class='col_actual'> Actual <br> output </th>
            <th class='col_comments'> Comments </th>
        </tr>
<tr class='fail'>
<td class='test-set'>      Test_Clear <br></td>
<td class='test'>          0a. Check if function Clear is implemented       </td>
<td class='result'>        FAILED       </td>
<td class='expected'> <ol> <li>Clear = Implemented</li> </ol> </td>
<td class='actual'>   <ol> <li>Clear = Not implemented</li> </ol> </td>
<td class='comments'> <ul> <li>Clear is not yet implemented! Make sure to remove the "throw NotImplementedException" when working on a function.</li> </ul> </td>
</tr>
<tr class='summary'>
<td colspan='7' class='summary'>
<strong>SUMMARY FOR Test_Clear:</strong>
0 out of 1 tests passed
</td>
</tr>
<tr class='spacer'></tr>
    </table>
    </table>
    <div class='result-failure '>15 testsets ran; 3 testsets passed</div>
    </body>
</html>
